Subject: Re: Installation hangs because asks for input from terminal (Attn: tetex maintainer, setup maintainer)
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Tue, 14 Sep 2004 18:13:15 +0200

Corinna Vinschen writes:

Corinna,

> since the tetex settings are so dependent of environment variables
> and since the environment variables are shared with different tetex
> implementations, wouldn't it be better to split the tetex installation
> into two files?
>
> First, the postinstall script, which doesn't depend on these variables,
> and second, a still-to-be-created tetex-config script, similar to
> curl-config, exim-config, etc, and which has to be started by the user
> manually?

This would not change very much.  With Igor's patch, this is
effectively what happens now.  The script users should run, is
texconfig (as noted in the README).

The situation would get a little bit better for computer savvy users
(those who have installed an alternative TeX version) but would get
far worse for novices.

Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/